API Reference for Marketo Engage

Add Rich Text Field

POST /rest/asset/v1/form/{id}/richText.json

Adds a rich-text type field to the form.

Operation ID
addRichTextFieldUsingPOST
Permissions
Read-Write Assets
Request format
application/x-www-form-urlencoded
Returns
ResponseOfLpFormFieldResponse

Parameters

Path 1

id integer (int32) required

Request body

application/x-www-form-urlencoded · required · AddRichTextRequest · 1 properties

Sent as URL-encoded form fields. Object properties are sent as JSON text in their field.

text string required

Multipart file. HTML Content for the rich text field.

Responses

200 OK ResponseOfLpFormFieldResponse
errors array of Error

Model Error

code string required

Error code of the error. See full list of error codes here

message string required

Message describing the cause of the error

requestId string
result array of LpFormFieldResponse

Model LpFormFieldResponse

blankFields integer (int32)
columnNumber integer (int32)
dataType string
defaultValue string
fieldMetaData object
fieldWidth integer (int32)
fields array of string
formPrefill boolean
isSensitive boolean
hintText string
id string
instructions string
label string
labelWidth integer (int32)
maxLength integer (int32)
required boolean
rowNumber integer (int32)
text string
validationMessage object
visibilityRules FormFieldVisibilityRuleResponse

Model FormFieldVisibilityRuleResponse

ruleType string
rules array of FormVisibilityRuleDTO

Model FormVisibilityRuleDTO

result › visibilityRules › rules

altLabel string
operator string
picklistFilterValues array of PickListDTO

Model PickListDTO

result › visibilityRules › rules › picklistFilterValues

isDefault boolean
label string
selected boolean
value string
subjectField string
values array of string
success boolean
warnings array of string
Generated example
{
  "errors": [
    {
      "code": "string",
      "message": "string"
    }
  ],
  "requestId": "123",
  "result": [
    {
      "blankFields": 123,
      "columnNumber": 123,
      "dataType": "string",
      "defaultValue": "string",
      "fieldMetaData": {},
      "fieldWidth": 123,
      "fields": [
        "string"
      ],
      "formPrefill": true,
      "isSensitive": true,
      "hintText": "string",
      "id": "123",
      "instructions": "string",
      "label": "string",
      "labelWidth": 123,
      "maxLength": 123,
      "required": true,
      "rowNumber": 123,
      "text": "string",
      "validationMessage": {},
      "visibilityRules": {
        "ruleType": "string",
        "rules": [
          {
            "altLabel": "string",
            "operator": "string",
            "picklistFilterValues": [
              null
            ],
            "subjectField": "string",
            "values": [
              null
            ]
          }
        ]
      }
    }
  ],
  "success": true,
  "warnings": [
    "string"
  ]
}

Referenced models

Generated from swagger-asset.json. Generated examples are inferred from the schema; they are illustrative and may not be valid production payloads.

↑ ↓ to move, ↵ to open, esc to closeSee all results